
{% extends "dash/layouts/default.html" %}

{% block title %} UI Elements {% endblock title %}

{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

    <div class="row gap-20 masonry pos-r">
        <div class="masonry-sizer col-md-6"></div>
        <h4 class="c-grey-900 masonry-item col-md-6">Profile</h4>
        <div class="masonry-item col-md-6">
            <div class="bgc-white p-20 bd">
                <div class="row">
                <div class="col-12">
                    <h6 class="c-grey-900" style="display: inline;">Avatar</h6>
                    <a href="../edit-profile/?form=avatar">
                        <button type="button" class="pull-right btn col-md-2 cur-p btn-outline-primary">
                            <span class="icon-holder">
                                <i class="c-light-blue-500 ti-pencil"></i>
                            </span>
                            Edit
                        </button>
                    </a>
                </div>
                </div>
                <div class="row">
                <div class="col-12">
                    <img style="width: 150px; border-radius: 75px; margin: auto; display: table" src="{{ user.get_avatar_url|default:'/static/users/avatars/none.png' }}" alt="">
                </div>
                </div>
            </div>
        </div>
        <div class="masonry-item col-md-6">
            <div class="bgc-white p-20 bd">
                <div class="row">
                    <div class="col-12">
                        <h6 class="c-grey-900" style="display: inline">Personal Details</h6>
                        <a href="../edit-profile/?form=personal-details">
                            <button type="button" class="pull-right btn col-md-2 cur-p btn-outline-primary">
                                <span class="icon-holder">
                                    <i class="c-light-blue-500 ti-pencil"></i>
                                </span>
                                Edit
                            </button>
                        </a>
                    </div>
                </div>
                <div class="row">
                    <span class="col-md-3">First name</span>
                    <span class="col-md-9">{{ user.first_name|default:'---' }}</span>
                </div>
                <div class="row">
                    <span class="col-md-3">Last name</span>
                    <span class="col-md-9">{{ user.last_name|default:'---' }}</span>
                </div>
                <div class="row">
                    <span class="col-md-3">Phone No.</span>
                    <span class="col-md-9">{{ user.mobile|default:'---' }}</span>
                </div>
            </div>
        </div>
        <div class="masonry-item col-md-6">
            <div class="bgc-white p-20 bd">
                <div class="row">
                <div class="col-12">
                    <h6 class="c-grey-900" style="display: inline">Relationship with NITC</h6>
                    <a href="../edit-profile/?form=nitc-relation">
                        <button type="button" class="pull-right btn col-md-2 cur-p btn-outline-primary">
                            <span class="icon-holder">
                                <i class="c-light-blue-500 ti-pencil"></i>
                            </span>
                            Edit
                        </button>
                    </a>
                </div>
                </div>
                <div class="row">
                    <span class="col-md-3">Relation</span>
                    <span class="col-md-9">{{ user.get_prettified_nitc_relation | default:'---' }}</span>
                </div>
                {% if user.nitc_relation == 'student' %}
                <div class="row">
                    <span class="col-md-3">Roll No.</span>
                    <span class="col-md-9">{{ user.roll_no }}</span>
                </div>
                {% endif %}
            </div>
        </div>
        <div class="masonry-item col-md-6">
            <div class="bgc-white p-20 bd">
                <h6 class="c-grey-900">Username</h6>
                <div class="row">
                <p class="col-md-9 mb-0">{{ user.get_username }}</p>
                </div>
            </div>
        </div>
        <div class="masonry-item col-md-6">
            <div class="bgc-white p-20 bd">
                <div class="row mb-4">
                <div class="col-12">
                    <h6 class="c-grey-900" style="display: inline">Your Emails</h6>
                    <a href="/accounts/email/">
                        <button type="button" class="pull-right btn col-md-2 cur-p btn-outline-primary">
                            <span class="icon-holder">
                                <i class="c-light-blue-500 ti-pencil"></i>
                            </span>
                            Edit
                        </button>
                    </a>
                </div>
                </div>
                {% for emailaddress in user.emailaddress_set.all %}
                <div class="row">
                    {% if emailaddress.verified %}
                    <div class="col-12">
                    <div class="alert alert-success">
                        {{ emailaddress.email }}
                        <span class="pull-right">
                            Verified
                        </span>
                        {% if emailaddress.primary %}
                        <span class="pull-right">
                            &nbsp;(Primary)&nbsp;
                        </span>
                        {% endif %}
                    </div>
                    </div>
                    {% else %}
                    <div class="col-12" role="alert">
                    <div class="alert alert-warning" role="alert">
                        {{ emailaddress.email }} 
                        <span class="pull-right">
                            Not verified!
                        </span>
                        {% if emailaddress.primary %}
                        <span class="pull-right">
                            &nbsp;(Primary)&nbsp;
                        </span>
                        {% endif %}
                    </div>
                    </div>
                    {% endif %}
                </div>
                {% endfor %}
            </div>
        </div>
    </div>

{% endblock content %}
